<?php
class Moony_RegistryTest extends UnitTestCase
{
    function testSet()
    {
        $foo = new StdClass;
        $foo->name = 'bar';
        Moony_Registry::set('foo', $foo);
        $reg = Moony_Registry::_getInstance();
        $this->assertEqual($reg->_entries['foo'], $foo);
        $foo->name = 'baz';
        $this->assertEqual($reg->_entries['foo'], $foo);
    }

    function testGet()
    {
        $foo = new StdClass;
        $foo->name = 'bar';
        Moony_Registry::set('foo', $foo);
        $this->assertEqual($foo, Moony_Registry::get('foo'));
        $foo->name = 'baz';
        $this->assertEqual($foo, Moony_Registry::get('foo'));
        $this->assertNull(Moony_Registry::get('fooo'));
    }
}
?>
